/*   msXpertSuite - mass spectrometry software suite
 *   -----------------------------------------------
 *   Copyright(C) 2016 Filippo Rusconi
 *
 *   http://www.{site}.org
 *
 *   This file is part of the msXpertSuite project.
 *
 *   The msXpertSuite project is the successor of the massXpert project. This
 *   project now includes various independent modules:
 *   - massXpert, the original mass spectrometry environment software (greatly
 *     refactored code);
 *   - mineXpert, a powerful TIC chromatogram/mass/drift spectrum viewer/miner;
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "SqlTableFieldSpecifs.hpp"

namespace msXpertSuite
{

  SqlTableFieldSpecifs::SqlTableFieldSpecifs(const QString &tableName,
                                             const QString &fieldName,
                                             FieldQtType    fieldQtType,
                                             FieldSqlType   fieldSqlType,
                                             const QString &comment,
                                             const QString &commandLine)
  {
    m_tableName    = tableName;
    m_fieldName    = fieldName;
    m_fieldQtType  = fieldQtType;
    m_fieldSqlType = fieldSqlType;
    m_comment      = comment;
    m_commandLine  = commandLine;
  }


  SqlTableFieldSpecifs::SqlTableFieldSpecifs(const QString &tableName)
  {
    m_tableName = tableName;
  }

  SqlTableFieldSpecifs::~SqlTableFieldSpecifs()
  {
  }


  void
  SqlTableFieldSpecifs::setTableName(QString tableName)
  {
    m_tableName = tableName;
  }


  QString
  SqlTableFieldSpecifs::tableName() const
  {
    return m_tableName;
  }


  void
  SqlTableFieldSpecifs::setFieldName(QString fieldName)
  {
    m_fieldName = fieldName;
  }


  QString
  SqlTableFieldSpecifs::fieldName() const
  {
    return m_fieldName;
  }


  void
  SqlTableFieldSpecifs::setFieldQtType(FieldQtType type)
  {
    m_fieldQtType = type;
  }


  FieldQtType
  SqlTableFieldSpecifs::fieldQtType() const
  {
    return m_fieldQtType;
  }


  void
  SqlTableFieldSpecifs::setFieldSqlType(FieldSqlType type)
  {
    m_fieldSqlType = type;
  }


  FieldSqlType
  SqlTableFieldSpecifs::fieldSqlType() const
  {
    return m_fieldSqlType;
  }


  void
  SqlTableFieldSpecifs::setComment(QString comment)
  {
    m_comment = comment;
  }


  QString
  SqlTableFieldSpecifs::comment() const
  {
    return m_comment;
  }


  void
  SqlTableFieldSpecifs::setCommandLine(QString commandLine)
  {
    m_commandLine = commandLine;
  }


  QString
  SqlTableFieldSpecifs::commandLine() const
  {
    return m_commandLine;
  }

} // namespace msXpertSuite
