/*   msXpertSuite - mass spectrometry software suite
 *   -----------------------------------------------
 *   Copyright(C) 2016 Filippo Rusconi
 *
 *   http://www.{site}.org
 *
 *   This file is part of the msXpertSuite project.
 *
 *   The msXpertSuite project is the successor of the massXpert project. This
 *   project now includes various independent modules:
 *   - massXpert, the original mass spectrometry environment software (greatly
 *     refactored code);
 *   - mineXpert, a powerful TIC chromatogram/mass/drift spectrum viewer/miner;
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __SQL_TABLE_SPECIFS__
#define __SQL_TABLE_SPECIFS__


// Qt includes
#include <QString>
#include <QList>


// Local includes
#include "SqlTableFieldSpecifs.hpp"

namespace msXpertSuite
{

  class SqlTableSpecifs
  {
    private:
    QString                       m_tableName;
    QList<SqlTableFieldSpecifs *> m_sqlTableFieldMetaDataList;

    QString m_comment;
    QString m_commandLine;

    public:
    SqlTableSpecifs(QString tableName = QString(), QString comment = QString(),
                    QString commandLine = QString());

    SqlTableSpecifs(const QString &tableName);
    void clearTableFieldMetaData();
    void reset();

    ~SqlTableSpecifs();

    void setTableName(QString tableName);
    QString tableName() const;
    void setComment(QString comment);
    QString comment() const;
    void setCommandLine(QString commandLine);
    QString commandLine() const;

    void appendTableFieldMetaData(SqlTableFieldSpecifs *specifs);
    QString tableCreationSqlString();
  };

} // namespace msXpertSuite

#endif /* __SQL_TABLE_SPECIFS__ */
