
/*   msXpertSuite - mass spectrometry software suite
 *   -----------------------------------------------
 *   Copyright(C) 2016 Filippo Rusconi
 *
 *   http://www.{site}.org
 *
 *   This file is part of the msXpertSuite project.
 *
 *   The msXpertSuite project is the successor of the massXpert project. This
 *   project now includes various independent modules:
 *   - massXpert, the original mass spectrometry environment software (greatly
 *     refactored code);
 *   - mineXpert, a powerful TIC chromatogram/mass/drift spectrum viewer/miner;
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef ANALYSIS_PREFERENCES_DLG_HPP
#define ANALYSIS_PREFERENCES_DLG_HPP


/////////////////////// Qt includes
#include <QObject>


/////////////////////// Local includes
#include "ui_AnalysisPreferencesDlg.h"
#include "AnalysisPreferences.hpp"
#include "globals.hpp"

namespace msXpertSuite
{
  class AnalysisPreferencesDlg : public QDialog
  {
    Q_OBJECT

    protected:
    Ui::AnalysisPreferencesDlg m_ui;

    private:
    QString m_applicationName;

    QList<QPlainTextEdit *> m_plainTextEditList;

    AnalysisPreferences m_analysisPreferences;
    void                initialize();

    void readSettings();
    void writeSettings();

    public:
    AnalysisPreferencesDlg(QWidget *parent, const QString &applicationName);
    ~AnalysisPreferencesDlg();

    AnalysisPreferences analysisPreferences();

    public slots:
    void openAnalysisFile();
    void addToHistoryPushButton();
    void removeFromHistoryPushButton();
    void okPushButton();
    void cancelPushButton();
    void historyItemActivated(int index);
  };

} // namespace msXpertSuite

#endif // ANALYSIS_PREFERENCES_DLG_HPP
