#!/usr/bin/python3.5

import os
import glob

mainDir = "/home/rusconi/devel/massxpert/development"
libDir = mainDir + "/lib"
guiDir = mainDir + "/gui"
guiUiDir = mainDir + "/gui/ui"

# First go to the libDir and get a list of all the cpp/hpp files.

os.chdir(libDir)

libHppList = glob.glob('*.hpp')
# print(libHppList)

libCppList = glob.glob('*.cpp')
# print(libCppList)

allLibList = []
allLibList.extend(libHppList)
allLibList.extend(libCppList)

# Now go to the guiDir and get a list of all the cpp/hpp files.

os.chdir(guiDir)

guiHppList = glob.glob('*.hpp')
# print(guiHppList)

guiCppList = glob.glob('*.cpp')
# print(guiCppList)

allGuiList = []
allGuiList.extend(guiHppList)
allGuiList.extend(guiCppList)


# Craft a list containing all lib and gui hpp files.
allHppList = []

allHppList.extend(libHppList)
allHppList.extend(guiHppList)
# print(allHppList)

# Now we want to iterate in the list of all the hpp files and for both
# directories search for files that #include these hpp files.

for includedFile in allHppList:
    lowCaseFilename = includedFile[0].lower() + includedFile[1:]
    # print(lowCaseFilename)

    cmdLine = "sed -i 's/" + lowCaseFilename + "/" + includedFile + "/g' *.cpp *.hpp *.ui"
    # print(cmdLine)

    os.chdir(libDir)
    os.system(cmdLine) 

    os.chdir(guiDir)
    os.system(cmdLine) 

    os.chdir(guiUiDir)
    os.system(cmdLine) 


